<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.WobugeqMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Wobugeq">
        <id column="ID" property="id" />
        <result column="BUGNUM" property="bugnum" />
        <result column="EQNUM" property="eqnum" />
        <result column="EQTYPE" property="eqtype" />
        <result column="EQCLASS" property="eqclass" />
        <result column="DESCRIPTION" property="description" />
        <result column="REPORTLABORNUM" property="reportlabornum" />
        <result column="FINDLABORNUM" property="findlabornum" />
        <result column="FINDTIME" property="findtime" />
        <result column="BUGTYPE" property="bugtype" />
        <result column="RUNDEPTOPINION" property="rundeptopinion" />
        <result column="RUNDEPTLABORNUM" property="rundeptlabornum" />
        <result column="RUNDEPTBUGTYPE" property="rundeptbugtype" />
        <result column="ISPOWERCUT" property="ispowercut" />
        <result column="TRANSMITTIME" property="transmittime" />
        <result column="TRANSMITDEPTNUM" property="transmitdeptnum" />
        <result column="PRODTDEPTOPINION" property="prodtdeptopinion" />
        <result column="PRODTDEPTTIME" property="prodtdepttime" />
        <result column="LOCATION" property="location" />
        <result column="PRODTDEPTLABORNUM" property="prodtdeptlabornum" />
        <result column="REPAIRDEPTOPINION" property="repairdeptopinion" />
        <result column="REPAIRDEPTBUGTYPE" property="repairdeptbugtype" />
        <result column="REPAIRDEPTTIME" property="repairdepttime" />
        <result column="REPAIRDEPTLABORNUM" property="repairdeptlabornum" />
        <result column="REPAIREDTIME" property="repairedtime" />
        <result column="REPAIREDCOMMENT" property="repairedcomment" />
        <result column="ISRESOLVED" property="isresolved" />
        <result column="UNRESOLVEDBUG" property="unresolvedbug" />
        <result column="ISDEGRADED" property="isdegraded" />
        <result column="DEGRADEBUGTYPE" property="degradebugtype" />
        <result column="CHECKDEPTOPINION" property="checkdeptopinion" />
        <result column="CHECKTIME" property="checktime" />
        <result column="CHECKDEPTLABORNUM" property="checkdeptlabornum" />
        <result column="LASTBUGTYPE" property="lastbugtype" />
        <result column="BUGANALIS" property="buganalis" />
        <result column="REMARK" property="remark" />
        <result column="STATUS" property="status" />
        <result column="STATUSDATE" property="statusdate" />
        <result column="APPROVELABORNUM" property="approvelabornum" />
        <result column="SITENUM" property="sitenum" />
        <result column="CORPNUM" property="corpnum" />
        <result column="LOADEROPINION" property="loaderopinion" />
        <result column="CJZROPINION" property="cjzropinion" />
        <result column="YIJICHUSHI" property="yijichushi" />
        <result column="YXISPOWERCUT" property="yxispowercut" />
        <result column="DEPARTURETIME" property="departuretime" />
        <result column="ARRIVALTIME" property="arrivaltime" />
        <result column="WORKLEADER" property="workleader" />
        <result column="WORKGROUP" property="workgroup" />
        <result column="STAFFNUMBER" property="staffnumber" />
        <result column="WORKGROUP1" property="workgroup1" />
        <result column="WORKGROUP2" property="workgroup2" />
        <result column="ACUSSTA" property="acussta" />
        <result column="GRIDTIME" property="gridtime" />
        <result column="NODETYPE" property="nodetype" />
        <result column="WTNUM" property="wtnum" />
        <result column="FAILURECODE" property="failurecode" />
        <result column="WFNUM" property="wfnum" />
        <result column="AVGWINSPE" property="avgwinspe" />
        <result column="CLASSIFICATION" property="classification" />
        <result column="REPAIRDEPTBUGTYPE1" property="repairdeptbugtype1" />
        <result column="WSPEED" property="wspeed" />
        <result column="WARNID" property="warnid" />
        <result column="SNAPID" property="snapid" />
        <result column="SNAPNAME" property="snapname" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, BUGNUM, EQNUM, EQTYPE, EQCLASS, DESCRIPTION, REPORTLABORNUM, FINDLABORNUM, FINDTIME, BUGTYPE, RUNDEPTOPINION, RUNDEPTLABORNUM, RUNDEPTBUGTYPE, ISPOWERCUT, TRANSMITTIME, TRANSMITDEPTNUM, PRODTDEPTOPINION, PRODTDEPTTIME, LOCATION, PRODTDEPTLABORNUM, REPAIRDEPTOPINION, REPAIRDEPTBUGTYPE, REPAIRDEPTTIME, REPAIRDEPTLABORNUM, REPAIREDTIME, REPAIREDCOMMENT, ISRESOLVED, UNRESOLVEDBUG, ISDEGRADED, DEGRADEBUGTYPE, CHECKDEPTOPINION, CHECKTIME, CHECKDEPTLABORNUM, LASTBUGTYPE, BUGANALIS, REMARK, STATUS, STATUSDATE, APPROVELABORNUM, SITENUM, CORPNUM, LOADEROPINION, CJZROPINION, YIJICHUSHI, YXISPOWERCUT, DEPARTURETIME, ARRIVALTIME, WORKLEADER, WORKGROUP, STAFFNUMBER, WORKGROUP1, WORKGROUP2, ACUSSTA, GRIDTIME, NODETYPE, WTNUM, FAILURECODE, WFNUM, AVGWINSPE, CLASSIFICATION, REPAIRDEPTBUGTYPE1, WSPEED, WARNID, SNAPID, SNAPNAME
    </sql>

</mapper>
